import {Routes} from '@angular/router';
import {EmployeeListComponent} from "./employee-list/employee-list.component";
import {LoginComponent} from "./login/login.component";
import {AuthGuardService} from "./services/auth-guard.service";

export const routes: Routes = [
  {path: 'login', component: LoginComponent},
  {path: '', component: EmployeeListComponent, canActivate: [AuthGuardService]},
  {path: '**', redirectTo: ''}
];
